Killer(R) Wi-Fi 6 AX1650i 160MHz Wireless Network Adapter (201NGW), REV=0x354 [8086:a0f0] subsystem id [1a56:1651] wireless adapter not found due to firmware crash

Bug #1874685 reported by You-Sheng Yang
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
You-Sheng Yang
linux-oem-5.6 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
Undecided
You-Sheng Yang
Groovy
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
You-Sheng Yang
Eoan
Undecided
Unassigned
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned

Bug Description

[ 9.924130] iwlwifi 0000:00:14.3: enabling device (0000 -> 0002)
[ 10.031456] iwlwifi 0000:00:14.3: TLV_FW_FSEQ_VERSION: FSEQ Version: 58.3.35.22
[ 10.031480] iwlwifi 0000:00:14.3: Found debug destination: EXTERNAL_DRAM
[ 10.031489] iwlwifi 0000:00:14.3: Found debug configuration: 0
[ 10.033948] iwlwifi 0000:00:14.3: loaded firmware version 50.3e391d3e.0 op_mode iwlmvm
[ 10.218293] iwlwifi 0000:00:14.3: Detected Killer(R) Wi-Fi 6 AX1650i 160MHz Wireless Network Adapter (201NGW), REV=0x354
[ 10.232843] iwlwifi 0000:00:14.3: Applying debug destination EXTERNAL_DRAM
[ 10.235398] iwlwifi 0000:00:14.3: Allocated 0x00400000 bytes for firmware monitor.
[ 11.241180] iwlwifi 0000:00:14.3: Collecting data: trigger 15 fired.
[ 11.489274] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[ 11.489293] iwlwifi 0000:00:14.3: Status: 0x00000000, count: -673266569
[ 11.489303] iwlwifi 0000:00:14.3: Loaded firmware version: 50.3e391d3e.0
[ 11.489315] iwlwifi 0000:00:14.3: 0x90F1F96A | ADVANCED_SYSASSERT
[ 11.489323] iwlwifi 0000:00:14.3: 0x7A7986FC | trm_hw_status0
[ 11.489331] iwlwifi 0000:00:14.3: 0x09E990EC | trm_hw_status1
[ 11.489338] iwlwifi 0000:00:14.3: 0x3073F272 | branchlink2
[ 11.489345] iwlwifi 0000:00:14.3: 0xD569005D | interruptlink1
[ 11.489352] iwlwifi 0000:00:14.3: 0xFEA17D01 | interruptlink2
[ 11.489359] iwlwifi 0000:00:14.3: 0x4BBD0C7B | data1
[ 11.489367] iwlwifi 0000:00:14.3: 0xB33DAF15 | data2
[ 11.489375] iwlwifi 0000:00:14.3: 0xC8E4188F | data3
[ 11.489382] iwlwifi 0000:00:14.3: 0xDEC3F4B3 | beacon time
[ 11.489389] iwlwifi 0000:00:14.3: 0xD5B7AAC7 | tsf low
[ 11.489395] iwlwifi 0000:00:14.3: 0x00073EAF | tsf hi
[ 11.489402] iwlwifi 0000:00:14.3: 0xB943A8DA | time gp1
[ 11.489409] iwlwifi 0000:00:14.3: 0x6CCF8627 | time gp2
[ 11.489417] iwlwifi 0000:00:14.3: 0x7944BDC6 | uCode revision type
[ 11.489424] iwlwifi 0000:00:14.3: 0x3C9DCF39 | uCode version major
[ 11.489431] iwlwifi 0000:00:14.3: 0xAF537547 | uCode version minor
[ 11.489439] iwlwifi 0000:00:14.3: 0xBC11442E | hw version
[ 11.489447] iwlwifi 0000:00:14.3: 0x160C9445 | board version
[ 11.489453] iwlwifi 0000:00:14.3: 0x276F21F6 | hcmd
[ 11.489460] iwlwifi 0000:00:14.3: 0x022688AB | isr0
[ 11.489466] iwlwifi 0000:00:14.3: 0xEBF64685 | isr1
[ 11.489473] iwlwifi 0000:00:14.3: 0x9D16A85F | isr2
[ 11.489480] iwlwifi 0000:00:14.3: 0x606C870F | isr3
[ 11.489488] iwlwifi 0000:00:14.3: 0x1B3967BF | isr4
[ 11.489495] iwlwifi 0000:00:14.3: 0xFFBCEAB8 | last cmd Id
[ 11.489503] iwlwifi 0000:00:14.3: 0xAEB80995 | wait_event
[ 11.489512] iwlwifi 0000:00:14.3: 0x95AD6DCD | l2p_control
[ 11.489518] iwlwifi 0000:00:14.3: 0x06D3D9B3 | l2p_duration
[ 11.489526] iwlwifi 0000:00:14.3: 0x51B4EEA2 | l2p_mhvalid
[ 11.489533] iwlwifi 0000:00:14.3: 0x51B8C323 | l2p_addr_match
[ 11.489540] iwlwifi 0000:00:14.3: 0x81E0114B | lmpm_pmg_sel
[ 11.489548] iwlwifi 0000:00:14.3: 0xF4D75F29 | timestamp
[ 11.489555] iwlwifi 0000:00:14.3: 0x1AFE14FD | flow_handler
[ 11.489635] iwlwifi 0000:00:14.3: Start IWL Error Log Dump:
[ 11.489643] iwlwifi 0000:00:14.3: Status: 0x00000000, count: 7
[ 11.489652] iwlwifi 0000:00:14.3: 0x201013F1 | ADVANCED_SYSASSERT
[ 11.489659] iwlwifi 0000:00:14.3: 0x00000000 | umac branchlink1
[ 11.489666] iwlwifi 0000:00:14.3: 0x80465E6A | umac branchlink2
[ 11.489674] iwlwifi 0000:00:14.3: 0x00000000 | umac interruptlink1
[ 11.489681] iwlwifi 0000:00:14.3: 0x00000000 | umac interruptlink2
[ 11.489688] iwlwifi 0000:00:14.3: 0x00000003 | umac data1
[ 11.489695] iwlwifi 0000:00:14.3: 0x20000302 | umac data2
[ 11.489702] iwlwifi 0000:00:14.3: 0x01300504 | umac data3
[ 11.489710] iwlwifi 0000:00:14.3: 0x00000032 | umac major
[ 11.489717] iwlwifi 0000:00:14.3: 0x3E391D3E | umac minor
[ 11.489732] iwlwifi 0000:00:14.3: 0x00005D89 | frame pointer
[ 11.489743] iwlwifi 0000:00:14.3: 0xC0887F58 | stack pointer
[ 11.489755] iwlwifi 0000:00:14.3: 0x00000000 | last host cmd
[ 11.489763] iwlwifi 0000:00:14.3: 0x00000000 | isr status reg
[ 11.489822] iwlwifi 0000:00:14.3: Fseq Registers:
[ 11.489846] iwlwifi 0000:00:14.3: 0x00000003 | FSEQ_ERROR_CODE
[ 11.489870] iwlwifi 0000:00:14.3: 0x00000000 | FSEQ_TOP_INIT_VERSION
[ 11.489898] iwlwifi 0000:00:14.3: 0x00000000 | FSEQ_CNVIO_INIT_VERSION
[ 11.489926] iwlwifi 0000:00:14.3: 0x0000A482 | FSEQ_OTP_VERSION
[ 11.489956] iwlwifi 0000:00:14.3: 0x00000003 | FSEQ_TOP_CONTENT_VERSION
[ 11.489984] iwlwifi 0000:00:14.3: 0x35ABFD09 | FSEQ_ALIVE_TOKEN
[ 11.490008] iwlwifi 0000:00:14.3: 0xB544286A | FSEQ_CNVI_ID
[ 11.490039] iwlwifi 0000:00:14.3: 0xC47C8677 | FSEQ_CNVR_ID
[ 11.490065] iwlwifi 0000:00:14.3: 0x20000302 | CNVI_AUX_MISC_CHIP
[ 11.490097] iwlwifi 0000:00:14.3: 0x01300504 | CNVR_AUX_MISC_CHIP
[ 11.490130] iwlwifi 0000:00:14.3: 0x05B0905B | CNVR_SCU_SD_REGS_SD_REG_DIG_DCDC_VTRIM
[ 11.490161] iwlwifi 0000:00:14.3: 0x0000025B | CNVR_SCU_SD_REGS_SD_REG_ACTIVE_VDIG_MIRROR
[ 11.490278] iwlwifi 0000:00:14.3: SecBoot CPU1 Status: 0x5cfb, CPU2 Status: 0x3
[ 11.490289] iwlwifi 0000:00:14.3: Failed to start RT ucode: -110
[ 11.492541] iwlwifi 0000:00:14.3: Firmware not running - cannot dump error
[ 11.505200] iwlwifi 0000:00:14.3: Failed to run INIT ucode: -110

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: linux-image-5.4.0-26-generic 5.4.0-26.30
ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
Uname: Linux 5.4.0-26-generic x86_64
ApportVersion: 2.20.11-0ubuntu26
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CasperMD5CheckResult: skip
Date: Fri Apr 24 06:14:28 2020
DistributionChannelDescriptor:
 # This is the distribution channel descriptor for the OEM CDs
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-ouagadougou-focal-amd64-20200407-68+pc-ouagadougou-focal-amd64+m2
InstallationDate: Installed on 2020-04-08 (15 days ago)
InstallationMedia: Ubuntu 20.04 "Focal" - Build amd64 LIVE Binary 20200407-15:02
IwConfig:
 lo no wireless extensions.

 enx000ec6de4324 no wireless extensions.
MachineType: Dell Inc. XPS 13 9310
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-26-generic root=UUID=138fdb56-1a27-4893-87f3-c30f16275347 ro quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-26-generic N/A
 linux-backports-modules-5.4.0-26-generic N/A
 linux-firmware 1.187+lp1867862.1
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/09/2020
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 0.1.4
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr0.1.4:bd04/09/2020:svnDellInc.:pnXPS139310:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 13 9310
dmi.product.sku: 0991
dmi.sys.vendor: Dell Inc.

Revision history for this message
You-Sheng Yang (vicamo) wrote :
Revision history for this message
You-Sheng Yang (vicamo) wrote :
tags: added: oem-priority originate-from-1872037 somerville
tags: added: hwe-networking-wifi
removed: oem-priority originate-from-1872037 somerville
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
You-Sheng Yang (vicamo) wrote :
Changed in linux (Ubuntu):
status: Confirmed → In Progress
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Still got the same error with that patch applied. Replied on mailing list.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Revision history for this message
You-Sheng Yang (vicamo) wrote :

With clarifications from IHV, Killer 1650s is now correctly enabled with perfect performance. Will continue to try all the versions in the PPA once they're built.

tags: added: oem-priority originate-from-1872037
You-Sheng Yang (vicamo)
Changed in linux (Ubuntu Groovy):
status: Incomplete → In Progress
Changed in linux (Ubuntu Bionic):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Groovy):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Bionic):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Eoan):
status: New → Invalid
Changed in linux-oem-5.6 (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → In Progress
Changed in linux-oem-osp1 (Ubuntu Bionic):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → In Progress
Changed in linux-oem-osp1 (Ubuntu Eoan):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Focal):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Groovy):
status: New → Invalid
Revision history for this message
You-Sheng Yang (vicamo) wrote :
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.6 (Ubuntu Focal):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.6 (Ubuntu Groovy):
status: Invalid → New
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1010.10

---------------
linux-oem-5.6 (5.6.0-1010.10) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1010.10 -proposed tracker (LP: #1876025)

  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Focal update: v5.6.8 upstream stable release (LP: #1875938)
    - mm: check that mm is still valid in madvise()
    - tools/testing/nvdimm: Fix compilation failure without
      CONFIG_DEV_DAX_PMEM_COMPAT
    - watchdog: reset last_hw_keepalive time at start
    - scsi: lpfc: Fix kasan slab-out-of-bounds error in lpfc_unreg_login
    - xfs: correctly acount for reclaimable slabs
    - scsi: lpfc: Fix crash after handling a pci error
    - scsi: lpfc: Fix crash in target side cable pulls hitting WAIT_FOR_UNREG
    - scsi: libfc: If PRLI rejected, move rport to PLOGI state
    - ceph: return ceph_mdsc_do_request() errors from __get_parent()
    - ceph: don't skip updating wanted caps when cap is stale
    - pwm: imx27: Fix clock handling in pwm_imx27_apply()
    - pwm: rcar: Fix late Runtime PM enablement
    - nvme-tcp: fix possible crash in write_zeroes processing
    - ASoC: qcom: q6asm-dai: Add SNDRV_PCM_INFO_BATCH flag
    - scsi: iscsi: Report unbind session event when the target has been removed
    - tools/test/nvdimm: Fix out of tree build
    - ASoC: Intel: atom: Take the drv->lock mutex before calling
      sst_send_slot_map()
    - nvme: fix deadlock caused by ANA update wrong locking
    - drm/amd/display: Update stream adjust in dc_stream_adjust_vmin_vmax
    - dma-direct: fix data truncation in dma_direct_get_required_mask()
    - kernel/gcov/fs.c: gcov_seq_next() should increase position index
    - selftests: kmod: fix handling test numbers above 9
    - ipc/util.c: sysvipc_find_ipc() should increase position index
    - kconfig: qconf: Fix a few alignment issues
    - lib/raid6/test: fix build on distros whose /bin/sh is not bash
    - block: fix busy device checking in blk_drop_partitions
    - s390/cio: generate delayed uevent for vfio-ccw subchannels
    - s390/cio: avoid duplicated 'ADD' uevents
    - loop: Better discard support for block devices
    - Revert "powerpc/64: irq_work avoid interrupt when called with hardware irqs
      enabled"
    - powerpc/pseries: Fix MCE handling on pseries
    - nvme: fix compat address handling in several ioctls
    - pwm: renesas-tpu: Fix late Runtime PM enablement
    - pwm: bcm2835: Dynamically allocate base
    - scsi: lpfc: Fix erroneous cpu limit of 128 on I/O statistics
    - scsi: lpfc: Fix lockdep error - register non-static key
    - perf/core: Disable page faults when getting phys address
    - drm/amd/display: Calculate scaling ratios on every medium/full update
    - ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN MPWIN895CL tablet
    - ALSA: usb-audio: Add Pioneer DJ DJM-250MK2 quirk
    - block: fix busy device checking in blk_drop_partitions again
    - cxgb4: fix adapter crash due to wrong MC size
    - cxgb4: fix large delays in PTP synchronization
    - ipv4: Update fib_select_default to ...

Changed in linux-oem-5.6 (Ubuntu Groovy):
status: New → Fix Released
Changed in linux (Ubuntu Focal):
status: New → Fix Committed
Changed in linux (Ubuntu Eoan):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1052.57

---------------
linux-oem-osp1 (5.0.0-1052.57) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1052.57 -proposed tracker (LP: #1876676)

  * Make Dell WD19 dock more reliable after suspend (LP: #1868217)
    - xhci: Ensure link state is U3 after setting USB_SS_PORT_LS_U3
    - xhci: Wait until link state trainsits to U0 after setting USB_SS_PORT_LS_U0
    - xhci: Finetune host initiated USB3 rootport link suspend and resume

  * Packaging resync (LP: #1786013)
    - [Packaging] add libcap-dev dependency

 -- Timo Aaltonen <email address hidden> Mon, 04 May 2020 11:56:26 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1010.10

---------------
linux-oem-5.6 (5.6.0-1010.10) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1010.10 -proposed tracker (LP: #1876025)

  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Focal update: v5.6.8 upstream stable release (LP: #1875938)
    - mm: check that mm is still valid in madvise()
    - tools/testing/nvdimm: Fix compilation failure without
      CONFIG_DEV_DAX_PMEM_COMPAT
    - watchdog: reset last_hw_keepalive time at start
    - scsi: lpfc: Fix kasan slab-out-of-bounds error in lpfc_unreg_login
    - xfs: correctly acount for reclaimable slabs
    - scsi: lpfc: Fix crash after handling a pci error
    - scsi: lpfc: Fix crash in target side cable pulls hitting WAIT_FOR_UNREG
    - scsi: libfc: If PRLI rejected, move rport to PLOGI state
    - ceph: return ceph_mdsc_do_request() errors from __get_parent()
    - ceph: don't skip updating wanted caps when cap is stale
    - pwm: imx27: Fix clock handling in pwm_imx27_apply()
    - pwm: rcar: Fix late Runtime PM enablement
    - nvme-tcp: fix possible crash in write_zeroes processing
    - ASoC: qcom: q6asm-dai: Add SNDRV_PCM_INFO_BATCH flag
    - scsi: iscsi: Report unbind session event when the target has been removed
    - tools/test/nvdimm: Fix out of tree build
    - ASoC: Intel: atom: Take the drv->lock mutex before calling
      sst_send_slot_map()
    - nvme: fix deadlock caused by ANA update wrong locking
    - drm/amd/display: Update stream adjust in dc_stream_adjust_vmin_vmax
    - dma-direct: fix data truncation in dma_direct_get_required_mask()
    - kernel/gcov/fs.c: gcov_seq_next() should increase position index
    - selftests: kmod: fix handling test numbers above 9
    - ipc/util.c: sysvipc_find_ipc() should increase position index
    - kconfig: qconf: Fix a few alignment issues
    - lib/raid6/test: fix build on distros whose /bin/sh is not bash
    - block: fix busy device checking in blk_drop_partitions
    - s390/cio: generate delayed uevent for vfio-ccw subchannels
    - s390/cio: avoid duplicated 'ADD' uevents
    - loop: Better discard support for block devices
    - Revert "powerpc/64: irq_work avoid interrupt when called with hardware irqs
      enabled"
    - powerpc/pseries: Fix MCE handling on pseries
    - nvme: fix compat address handling in several ioctls
    - pwm: renesas-tpu: Fix late Runtime PM enablement
    - pwm: bcm2835: Dynamically allocate base
    - scsi: lpfc: Fix erroneous cpu limit of 128 on I/O statistics
    - scsi: lpfc: Fix lockdep error - register non-static key
    - perf/core: Disable page faults when getting phys address
    - drm/amd/display: Calculate scaling ratios on every medium/full update
    - ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN MPWIN895CL tablet
    - ALSA: usb-audio: Add Pioneer DJ DJM-250MK2 quirk
    - block: fix busy device checking in blk_drop_partitions again
    - cxgb4: fix adapter crash due to wrong MC size
    - cxgb4: fix large delays in PTP synchronization
    - ipv4: Update fib_select_default to ...

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Current focal-proposed has linux is 5.4.0-33.37, but this is landed at linux 5.4.0-34.38. Verification failed.

tags: added: verification-failed-focal
removed: verification-needed-focal
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
Revision history for this message
Daniel Risacher (junk-launchpad-risacher) wrote :

For what it's worth, I have a Dell Inspiron 3593 with a "Intel Corporation Killer Wi-Fi 6 AX1650i 160MHz Wireless Network Adapter (201NGW) (rev 30)"

I installed 20.04 5.6.0-1011-oem from the -proposed ppa and copied latest files from linux-firmware.git/tree/. Firmware loads and wifi works, but Bluetooth headset will work as A2DP sink but not HSP/HFP mode.

Since this same headset *does* work properly with both Ubuntu 18.04 and 20.04 on an older Dell laptop, I conclude that its a problem with the iwlwifi driver or the firmware for the AX1650i.

[ 12.506365] iwlwifi 0000:00:14.3: enabling device (0000 -> 0002)
[ 12.526629] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-Qu-c0-jf-b0-52.ucode failed with error -2
[ 12.526790] iwlwifi 0000:00:14.3: Direct firmware load for iwlwifi-Qu-c0-jf-b0-51.ucode failed with error -2
[ 12.772488] iwlwifi 0000:00:14.3: TLV_FW_FSEQ_VERSION: FSEQ Version: 58.3.35.22
[ 12.772680] iwlwifi 0000:00:14.3: loaded firmware version 50.3e391d3e.0 Qu-c0-jf-b0-50.ucode op_mode iwlmvm
[ 13.160717] iwlwifi 0000:00:14.3: Detected Intel(R) Wireless-AC 9462, REV=0x338
[ 13.280655] iwlwifi 0000:00:14.3: base HW address: ac:67:5d:df:7c:9e
[ 13.982441] iwlwifi 0000:00:14.3 wlp0s20f3: renamed from wlan0

Revision history for this message
You-Sheng Yang (vicamo) wrote :

@Daniel, please file a new bug via apport-bug instead.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-37.41

---------------
linux (5.4.0-37.41) focal; urgency=medium

  * CVE-2020-0543
    - SAUCE: x86/speculation/spectre_v2: Exclude Zhaoxin CPUs from SPECTRE_V2
    - SAUCE: x86/cpu: Add a steppings field to struct x86_cpu_id
    - SAUCE: x86/cpu: Add 'table' argument to cpu_matches()
    - SAUCE: x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - SAUCE: x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - SAUCE: x86/speculation: Add Ivy Bridge to affected list

 -- Marcelo Henrique Cerri <email address hidden> Wed, 03 Jun 2020 11:24:23 -0300

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (22.0 KiB)

This bug was fixed in the package linux - 5.3.0-59.53

---------------
linux (5.3.0-59.53) eoan; urgency=medium

  * CVE-2020-0543
    - SAUCE: x86/speculation/spectre_v2: Exclude Zhaoxin CPUs from SPECTRE_V2
    - SAUCE: x86/cpu: Add a steppings field to struct x86_cpu_id
    - SAUCE: x86/cpu: Add 'table' argument to cpu_matches()
    - SAUCE: x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - SAUCE: x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - SAUCE: x86/speculation: Add Ivy Bridge to affected list

linux (5.3.0-56.50) eoan; urgency=medium

  * eoan/linux: 5.3.0-56.50 -proposed tracker (LP: #1880111)

  * Build and ship a signed wireguard.ko (LP: #1861284)
    - [Packaging] wireguard -- add support for building signed .ko
    - [Config] wireguard -- enable on all architectures

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * debian/scripts/file-downloader does not handle positive failures correctly
    (LP: #1878897)
    - [Packaging] file-downloader not handling positive failures correctly

  * Killer(R) Wi-Fi 6 AX1650i 160MHz Wireless Network Adapter (201NGW),
    REV=0x354 [8086:a0f0] subsystem id [1a56:1651] wireless adapter not found
    due to firmware crash (LP: #1874685)
    - iwlwifi: pcie: handle QuZ configs with killer NICs as well

  * CVE-2020-12114
    - propagate_one(): mnt_set_mountpoint() needs mount_lock

  * Eoan update: upstream stable patchset 2020-05-11 (LP: #1878073)
    - ext4: fix extent_status fragmentation for plain files
    - bpftool: Fix printing incorrect pointer in btf_dump_ptr
    - [Config] updateconfigs for ARM64_ERRATUM_1542419
    - arm64: errata: Hide CTR_EL0.DIC on systems affected by Neoverse-N1 #1542419
    - arm64: Fake the IminLine size on systems affected by Neoverse-N1 #1542419
    - arm64: compat: Workaround Neoverse-N1 #1542419 for compat user-space
    - arm64: Silence clang warning on mismatched value/register sizes
    - watchdog: reset last_hw_keepalive time at start
    - scsi: lpfc: Fix kasan slab-out-of-bounds error in lpfc_unreg_login
    - scsi: lpfc: Fix crash in target side cable pulls hitting WAIT_FOR_UNREG
    - ceph: return ceph_mdsc_do_request() errors from __get_parent()
    - ceph: don't skip updating wanted caps when cap is stale
    - pwm: rcar: Fix late Runtime PM enablement
    - scsi: iscsi: Report unbind session event when the target has been removed
    - ASoC: Intel: atom: Take the drv->lock mutex before calling
      sst_send_slot_map()
    - nvme: fix deadlock caused by ANA update wrong locking
    - kernel/gcov/fs.c: gcov_seq_next() should increase position index
    - selftests: kmod: fix handling test numbers above 9
    - ipc/util.c: sysvipc_find_ipc() should increase position index
    - kconfig: qconf: Fix a few alignment issues
    - s390/cio: avoid duplicated 'ADD' uevents
    - loop: Better discard support for block devices
    - Revert "powerpc/64: irq_work avoid interrupt when called with hardware irqs
      enabled"
    - pwm: renesas-tpu: Fix late Runtime PM enablement
    - pwm: bcm2835: Dynamically allocate base
    - perf/core: Disable page faults when get...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (24.7 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1059.64

---------------
linux-oem-osp1 (5.0.0-1059.64) bionic; urgency=medium

  [ Ubuntu: 5.0.0-52.56 ]

  * CVE-2020-0543
    - SAUCE: x86/cpu: Add a steppings field to struct x86_cpu_id
    - SAUCE: x86/cpu: Add 'table' argument to cpu_matches()
    - SAUCE: x86/speculation: Add Special Register Buffer Data Sampling (SRBDS)
      mitigation
    - SAUCE: x86/speculation: Add SRBDS vulnerability and mitigation documentation
    - SAUCE: x86/speculation: Add Ivy Bridge to affected list

linux-oem-osp1 (5.0.0-1054.59) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1054.59 -proposed tracker (LP: #1881221)

  * Speed up the process of s3 resume (LP: #1876844)
    - PCI/PM: Adjust pcie_wait_for_link_delay() for caller delay
    - PCI/PM: Assume ports without DLL Link Active train links in 100 ms

linux-oem-osp1 (5.0.0-1053.58) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1053.58 -proposed tracker (LP: #1878822)

  * rtl8723bu wifi issue after being turned off (LP: #1878296)
    - rtl8xxxu: Improve TX performance of RTL8723BU on rtl8xxxu driver
    - rtl8xxxu: add bluetooth co-existence support for single antenna
    - rtl8xxxu: remove set but not used variable 'rate_mask'
    - rtl8xxxu: Remove set but not used variable 'vif', 'dev', 'len'

  * Fix Pericom USB controller OHCI/EHCI PME# defect (LP: #1879321)
    - serial: 8250_pci: Move Pericom IDs to pci_ids.h
    - PCI: Avoid Pericom USB controller OHCI/EHCI PME# defect

  * Don't register platform::micmute if the related tokens don't exist
    (LP: #1877275)
    - SAUCE: platform/x86: dell-laptop: don't register platform::micmute if the
      related tokens don't exist

  [ Ubuntu: 5.0.0-49.53 ]

  * disco/linux: 5.0.0-49.53 -proposed tracker (LP: #1878826)
  * Disco update: upstream stable patchset 2020-05-14 (LP: #1878681)
    - remoteproc: Fix wrong rvring index computation
    - mtd: cfi: fix deadloop in cfi_cmdset_0002.c do_write_buffer
    - binder: take read mode of mmap_sem in binder_alloc_free_page()
    - usb: dwc3: gadget: Do link recovery for SS and SSP
    - usb: gadget: udc: bdc: Remove unnecessary NULL checks in bdc_req_complete
    - iio:ad7797: Use correct attribute_group
    - ASoC: q6dsp6: q6afe-dai: add missing channels to MI2S DAIs
    - ASoC: tas571x: disable regulators on failed probe
    - ASoC: wm8960: Fix wrong clock after suspend & resume
    - nfsd: memory corruption in nfsd4_lock()
    - i2c: altera: use proper variable to hold errno
    - rxrpc: Fix DATA Tx to disable nofrag for UDP on AF_INET6 socket
    - net/cxgb4: Check the return from t4_query_params properly
    - xfs: acquire superblock freeze protection on eofblocks scans
    - svcrdma: Fix trace point use-after-free race
    - svcrdma: Fix leak of svc_rdma_recv_ctxt objects
    - PCI: Avoid ASMedia XHCI USB PME# from D0 defect
    - PCI: Move Apex Edge TPU class quirk to fix BAR assignment
    - ARM: dts: bcm283x: Disable dsi0 node
    - cpumap: Avoid warning when CONFIG_DEBUG_PER_CPU_MAPS is enabled
    - net/mlx5: Fix failing fw tracer allocation on s390
    - perf/core: fix parent pid/tid in task exit events
    - bpf, x86_3...

Changed in linux-oem-osp1 (Ubuntu Eoan):
status: Invalid → Fix Released
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (linux-oracle-5.4/5.4.0-1019.19~18.04.1)

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
You-Sheng Yang (vicamo) wrote :

Wait groovy kernel to be uplifted to v5.7 or v5.8 from unstable to automatically include this fix.

Changed in linux (Ubuntu Groovy):
status: In Progress → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-42.46

---------------
linux (5.4.0-42.46) focal; urgency=medium

  * focal/linux: 5.4.0-42.46 -proposed tracker (LP: #1887069)

  * linux 4.15.0-109-generic network DoS regression vs -108 (LP: #1886668)
    - SAUCE: Revert "netprio_cgroup: Fix unlimited memory leak of v2 cgroups"

linux (5.4.0-41.45) focal; urgency=medium

  * focal/linux: 5.4.0-41.45 -proposed tracker (LP: #1885855)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2019-19642
    - kernel/relay.c: handle alloc_percpu returning NULL in relay_open

  * CVE-2019-16089
    - SAUCE: nbd_genl_status: null check for nla_nest_start

  * CVE-2020-11935
    - aufs: do not call i_readcount_inc()

  * ip_defrag.sh in net from ubuntu_kernel_selftests failed with 5.0 / 5.3 / 5.4
    kernel (LP: #1826848)
    - selftests: net: ip_defrag: ignore EPERM

  * Update lockdown patches (LP: #1884159)
    - SAUCE: acpi: disallow loading configfs acpi tables when locked down

  * seccomp_bpf fails on powerpc (LP: #1885757)
    - SAUCE: selftests/seccomp: fix ptrace tests on powerpc

  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [packaging] add signed modules for the 418-server and the 440-server
      flavours

 -- Khalid Elmously <email address hidden> Thu, 09 Jul 2020 19:50:26 -0400

Changed in linux (Ubuntu Groovy):
status: Confirmed → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers